import request from '@/utils/request'

export function login(data) {
  return request({
    url: '/user/login',
    method: 'post',
    data
  })
}

export function getInfo() {
  return request({
    url: '/user/info',
    method: 'get'
  })
}

export function logout() {
  return request({
    url: '/user/logout',
    method: 'get'
  })
}

/**
 * 检查是否已经进行SSO登录
 */
export function checkSSOLogin() {
  return request({
    url: '/user/checkSSOLogin',
    method: 'post'
  })
}

/**
 * 通过权限查找用户
 * @param {string} permission 权限标识
 * @param {string} orgId 机构id 非必填
 * @param {string} deptId 部门id 非必填
 * @author lroiya
 * @since 2021年2月7日 10:22:20
 */
export function getUsersWithPermission(permission, orgId, deptId) {
  // const form = new FormData()
  // form.append('permission', permission)
  // if (orgId) {
  //   form.append('orgId', orgId)
  // }
  // if (deptId) {
  //   form.append('deptId', deptId)
  // }
  return request({
    // url: '/user/get_users_with_permission',
    url: '/user/listUserByPermissionAndOrgIds',
    method: 'get',
    params: {
      permission,
      orgId,
      isArea: true
    }
  })
}
/**
 * 通过权限查找用户
 * @param {string} permission 权限标识
 * @param {string} orgId 机构id 非必填
 * @param {string} deptId 部门id 非必填
 * @author lroiya
 * @since 2021年2月7日 10:22:20
 */
export function getUsersPermission(permission, orgId, bizseq, bizType) {
  return request({
    url: '/user/getUsersPermission',
    method: 'get',
    params: {
      permission,
      orgId,
      bizseq,
      bizType
    }
  })
}

/**
 * 获取同部门的用户列表
 * @param {string} deptId 部门id
 * @returns 获取结果
 * @author lroyia
 * @since 2021年4月20日 17:08:20
 */
export function getSameDeptUserList(deptId) {
  const form = new FormData()
  deptId = deptId || ''
  form.append('deptId', deptId)
  return request({
    url: '/user/getSameDeptUserList',
    method: 'post',
    data: form
  })
}

/**
 * 获取当前用户的决定机关信息
 */
export function findOrganization() {
  return request({
    url: '/user/findOrganization',
    method: 'get'
  })
}

export function queryUsersPermission(permission, bizseq) {
  const form = new FormData()
  form.append('permission', permission)
  form.append('bizseq', bizseq)
  return request({
    url: '/user/queryUsersPermission',
    method: 'post',
    data: form
  })
}

/**
 * 信创门户单点登录 ticket
 */
export function casLogin(params) {
  return request({
    url: '/user/casLogin',
    method: 'get',
    params
  })
}

/**
 * 登录年报后台管理系统
 */
export function logManage(params) {
  return request({
    url: '/gz-aiceps-manage/loginManageController/loginManage.do',
    method: 'get',
    params
  })
}
